#include<iostream>

using namespace std;

int main() {
	int a, b;
	cin >> a >> b;

	string c = "";
	while (a && b) {
		int bigger = a % 10 > b % 10 ? a % 10 : b % 10;
		c = to_string(bigger) + c;
		if (a % 10 == b % 10) c = to_string(bigger) + c;

		a /= 10;
		b /= 10;
	}

	while (a) {
		cout << "number => " << c << endl;
		c = to_string(a % 10) + c;
		a /= 10;
	}

	while (b) {
		cout << "number => " << c << endl;
		c = to_string(b % 10) + c;
		b /= 10;
	}

	cout << c;
}